org.apache.ignite.internal.processors.rest.handlers.query

## Class CacheQueryResult

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.query.CacheQueryResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheQueryResult
    extends Object
    implements Externalizable

Client query result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheQueryResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<?>` `getFieldsMetadata()`
`Collection<?>` `getItems()`
`boolean` `getLast()`
`long` `getQueryId()`
`void` `readExternal(ObjectInput in)`
`void` `setFieldsMetadata(Collection<?> fieldsMeta)`
`void` `setItems(Collection<?> items)`
`void` `setLast(boolean last)`
`void` `setQueryId(long qryId)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheQueryResult

    public CacheQueryResult()

### Method Detail

#### getQueryId

    public long getQueryId()

Returns:
  Query ID.

#### setQueryId

    public void setQueryId(long qryId)

Parameters:
  `qryId` - Query ID.

#### getItems

    public Collection<?> getItems()

Returns:
  Items.

#### setItems

    public void setItems(Collection<?> items)

Parameters:
  `items` - Items.

#### setFieldsMetadata

    public void setFieldsMetadata(Collection<?> fieldsMeta)

Parameters:
  `fieldsMeta` - Fields metadata.

#### getFieldsMetadata

    public Collection<?> getFieldsMetadata()

Returns:
  Fields metadata.

#### getLast

    public boolean getLast()

Returns:
  Last flag.

#### setLast

    public void setLast(boolean last)

Parameters:
  `last` - Last flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021